# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:		perl-Config-ApacheFormat
Version:	1.2
Release:	alt1_1
Summary:	Use Apache format config files

Group:		Development/Perl
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Config-ApacheFormat
Source0:	http://search.cpan.org/CPAN/authors/id/S/SA/SAMTREGAR/Config-ApacheFormat-%{version}.tar.gz


BuildArch:	noarch
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Scalar/Util.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(File/Spec.pm)
BuildRequires:	perl(Carp.pm)
BuildRequires:	perl(Class/MethodMaker.pm)
BuildRequires:	perl(Text/Balanced.pm)


# (Data::Dumper is used only in runtime, not in tests)
Requires:	perl(Data/Dumper.pm)
Source44: import.info



%description
This module is designed to parse a configuration file in the same syntax used by
the Apache web server (see http://httpd.apache.org for details). This allows you
to build applications which can be easily managed by experienced Apache admins.
Also, by using this module, you'll benefit from the support for nested blocks
with built-in parameter inheritance. This can greatly reduce the amount or
repeated information in your configuration files.


%prep
%setup -q -n Config-ApacheFormat-%{version}


%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# %{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{perl_vendor_privlib}/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_1
- initial fc import

